package cn.hmsoft.skill.data.model.cf.enrol;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 配置表-包括需要上传的材料配置
 * 
 * @author: zxq
 * @date: 2019-07-25 22:01:56
 * @version: 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "CF_ENROL_MATERIAL", keyColumn = "MATERIAL_TYPE", sequenceName = "")
public class CfEnrolMaterial implements Serializable {
	private static final long serialVersionUID = 6720130029428834093L;
	// 材料类型
	private String material_type;
	// 材料名字
	private String material_name;
	// 材料说明
	private String material_explain;
	// 是否受保护，不可删除
	private String protect_status;
	// 何种业务判断上传状态
	private String upload_business;
	// 何种业务去判断审核状态
	private String audit_business;
	// 是否启用该配置
	private String material_status;
	// 是否自动审核，如果自动审核，需要对应的类去实现
	private String audit_auto_status;
	private String audit_auto_param;
	// 排序信息
	private Integer material_order;

	/****
	 * 材料类型
	 */
	public String getMaterial_type() {
		return this.material_type;
	}

	/****
	 * 材料类型
	 */
	public void setMaterial_type(String material_type) {
		this.material_type = material_type;
	}

	/****
	 * 材料名字
	 */
	public String getMaterial_name() {
		return this.material_name;
	}

	/****
	 * 材料名字
	 */
	public void setMaterial_name(String material_name) {
		this.material_name = material_name;
	}

	/****
	 * 材料说明
	 */
	public String getMaterial_explain() {
		return this.material_explain;
	}

	/****
	 * 材料说明
	 */
	public void setMaterial_explain(String material_explain) {
		this.material_explain = material_explain;
	}

	/****
	 * 是否受保护，不可删除
	 */
	public String getProtect_status() {
		return this.protect_status;
	}

	/****
	 * 是否受保护，不可删除
	 */
	public void setProtect_status(String protect_status) {
		this.protect_status = protect_status;
	}

	/****
	 * 何种业务判断上传状态
	 */
	public String getUpload_business() {
		return this.upload_business;
	}

	/****
	 * 何种业务判断上传状态
	 */
	public void setUpload_business(String upload_business) {
		this.upload_business = upload_business;
	}

	/****
	 * 何种业务去判断审核状态
	 */
	public String getAudit_business() {
		return this.audit_business;
	}

	/****
	 * 何种业务去判断审核状态
	 */
	public void setAudit_business(String audit_business) {
		this.audit_business = audit_business;
	}

	/****
	 * 是否启用该配置
	 */
	public String getMaterial_status() {
		return this.material_status;
	}

	/****
	 * 是否启用该配置
	 */
	public void setMaterial_status(String material_status) {
		this.material_status = material_status;
	}

	/****
	 * 是否自动审核，如果自动审核，需要对应的类去实现
	 */
	public String getAudit_auto_status() {
		return this.audit_auto_status;
	}

	/****
	 * 是否自动审核，如果自动审核，需要对应的类去实现
	 */
	public void setAudit_auto_status(String audit_auto_status) {
		this.audit_auto_status = audit_auto_status;
	}

	public String getAudit_auto_param() {
		return this.audit_auto_param;
	}

	public void setAudit_auto_param(String audit_auto_param) {
		this.audit_auto_param = audit_auto_param;
	}

	/****
	 * 排序信息
	 */
	public Integer getMaterial_order() {
		return this.material_order;
	}

	/****
	 * 排序信息
	 */
	public void setMaterial_order(Integer material_order) {
		this.material_order = material_order;
	}
}